org.optaplanner.benchmark.impl.loader

## Class FileProblemProvider<Solution_>

- java.lang.Object
- - org.optaplanner.benchmark.impl.loader.FileProblemProvider<Solution_>

- All Implemented Interfaces:
    ProblemProvider<Solution_>

      public class FileProblemProvider<Solution_>
      extends Object
      implements ProblemProvider<Solution_>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileProblemProvider(SolutionFileIO<Solution_> solutionFileIO, File problemFile)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `File` | `getProblemFile()`
    `String` | `getProblemName()`
    `SolutionFileIO<Solution_>` | `getSolutionFileIO()`
    `int` | `hashCode()`
    `Solution_` | `readProblem()`
    `String` | `toString()`
    `void` | `writeSolution(Solution_ solution, SubSingleBenchmarkResult subSingleBenchmarkResult)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileProblemProvider

          public FileProblemProvider(SolutionFileIO<Solution_> solutionFileIO,
                                     File problemFile)

  - ### Method Detail

    - #### getSolutionFileIO

          public SolutionFileIO<Solution_> getSolutionFileIO()

    - #### getProblemFile

          public File getProblemFile()

    - #### getProblemName

          public String getProblemName()

      Specified by:
        `getProblemName` in interface `ProblemProvider<Solution_>`
      Returns:
        never null

    - #### readProblem

          public Solution_ readProblem()

      Specified by:
        `readProblem` in interface `ProblemProvider<Solution_>`
      Returns:
        never null

    - #### writeSolution

          public void writeSolution(Solution_ solution,
                                    SubSingleBenchmarkResult subSingleBenchmarkResult)

      Specified by:
        `writeSolution` in interface `ProblemProvider<Solution_>`
      Parameters:
        `solution` - never null
        `subSingleBenchmarkResult` - never null

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.